summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorKarel Zak2009-10-12 14:14:56 +0200
committerKarel Zak2009-10-12 15:20:27 +0200
commita77bfc3a00182a26a6fd46dde971bf2688e06d63 (patch)
treed16542fbe673b9556d6b7761aa62995ccc1129d8 /autogen.sh
parentswapon: fix typo on swapon.8 manpage (diff)
downloadkernel-qcow2-util-linux-a77bfc3a00182a26a6fd46dde971bf2688e06d63.tar.gz
kernel-qcow2-util-linux-a77bfc3a00182a26a6fd46dde971bf2688e06d63.tar.xz
kernel-qcow2-util-linux-a77bfc3a00182a26a6fd46dde971bf2688e06d63.zip
build-sys: clean up gtk-doc usage
Currently gtk-doc is optional. Unfortunately, the ./configure script still depends on GTK_DOC_CHECK macro and shlibs/blkid/docs/Makefile.am depends on gtk-doc.make. It seems that the best solution is to add gtk-doc.[make,m4] files to the repository. Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh19
1 files changed, 7 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index 8edee0b9e..dc3d95be7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -55,10 +55,11 @@ HAS_GTKDOC=1
DIE=1
}
-(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
- echo "WARNING: You must have gtk-doc installed to generate libblkid API docs."
- HAS_GTKDOC=0
-}
+#(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "You must have gtkdocize installed to generate util-linux-ng build system."
+# echo
+#}
if test "$DIE" -eq 1; then
exit 1
@@ -83,10 +84,7 @@ echo " autoconf: $(autoconf --version | head -1)"
echo " autoheader: $(autoheader --version | head -1)"
echo " automake: $(automake --version | head -1)"
#echo " libtoolize: $(libtoolize --version | head -1)"
-
-if test "$HAS_GTKDOC" -eq 1; then
- echo " gtkdocize: $(gtkdocize --version | head -1)"
-fi
+#echo " gtkdocize: $(gtkdocize --version | head -1)"
set -e
autopoint --force $AP_OPTS
@@ -94,10 +92,7 @@ autopoint --force $AP_OPTS
aclocal -I m4 $AL_OPTS
autoconf $AC_OPTS
autoheader $AH_OPTS
-
-if test "$HAS_GTKDOC" -eq 1; then
- gtkdocize
-fi
+#gtkdocize --copy --docdir config
automake --add-missing $AM_OPTS